## dbus-python 1.3.2

=== meson_options.txt ===
# Copyright 2022 Collabora Ltd.
# SPDX-License-Identifier: MIT

option(
  'doc',
  type: 'boolean',
  value: false,
  description: 'Enable documentation',
)

option(
  'installed_tests',
  type: 'boolean',
  value: false,
  description: 'Enable "as-installed" testing',
)

option(
  'installed_tests_subdir',
  type: 'string',
  value: '',
  description: 'Suffix to make installed-tests from multiple builds co-installable',
)

option(
  'python',
  type: 'string',
  value: '',
  description: 'Override the Python interpreter to use',
)

option(
  'tests',
  type: 'boolean',
  value: true,
  description: 'Enable unit tests',
)
