## dbus-python 0.83.0-1maemo1

=== debian/changelog ===
dbus-python (0.83.0-1maemo1) unstable; urgency=low

  [ Bruno dos Santos de Araujo ]
  * Remove python-docutils and python-epydoc from Build-Depends-Indep
  * Build only python-dbus and python-dbus-dbg

  [ Anderson Lizardo ]
  * Remove version from cdbs build dependency

 -- Anderson Lizardo <anderson.lizardo@indt.org.br>  Wed, 26 Nov 2008 08:47:20 -0400

dbus-python (0.83.0-1) unstable; urgency=low

  * New upstream release.
  * Use my debian.org address in Uploaders
  * Add doc-base files for the API reference and the tutorial; closes: #473500
  * Only build the documentation once, not once per version

 -- Simon McVittie <smcv@debian.org>  Wed, 23 Jul 2008 17:46:44 +0100

dbus-python (0.82.4-2) unstable; urgency=low

  * Drop python-xml-dbg dep; closes: #470355.
  * Drop python-dbus-dbg.linda-overrides as linda is no more.
  * Only pass --host to configure if DEB_HOST_GNU_TYPE and DEB_BUILD_GNU_TYPE
    differ.

 -- Loic Minier <lool@dooz.org>  Mon, 10 Mar 2008 19:03:37 +0100

dbus-python (0.82.4-1) unstable; urgency=low

  * New upstream version
    - copyright file updated for yet more permissive licensing (all code is
      now MIT, goodbye AFL and GPL)
  * Add XS-Dm-Upload-Allowed: yes so I can upload it in future
  * Standards-Version: 3.7.3.0 (no changes)
  * Move -dbg package to section python as per lintian warning
  * Don't compress epydoc Javascript in -doc package
  * Add lintian/linda overrides for empty directory
    /usr/share/python-support/python-dbus-dbg (python-support seems to require
    it to exist)
  * Fold a non-uploaded release candidate's debian/changelog entry into the
    following entry

 -- Simon McVittie <smcv@ianadd.pseudorandom.co.uk>  Mon, 10 Dec 2007 22:18:58 +0000

dbus-python (0.82.3-1) unstable; urgency=low

  [ Simon McVittie ]
  * New upstream release.
    - Update debian/copyright for more permissive licensing.
  * Delete .pyc files in source tree in clean target (Closes: #442539).
    Because we're using an out-of-tree build to get the multiple Python
    versions, we can't rely on upstream's "make clean" to do the job.
  * Actually install examples into python-dbus-doc (Closes: #443719).
  * Build a python-dbus-dbg package like in Ubuntu (Closes: #441737).
  * Also delete stale Python 2.5 bytecode in postinst (required in Ubuntu,
    unnecessary but harmless in Debian) to reduce divergence.

  [ Loic Minier ]
  * Use download URL in copyright.

 -- Loic Minier <lool@dooz.org>  Sun, 07 Oct 2007 19:04:36 +0200

dbus-python (0.82.2-1) unstable; urgency=low

  [ Simon McVittie ]
  * New upstream release.
  * Build HTML API documentation, now that epydoc 3.0 beta is in unstable.
    - Split out a python-dbus-doc package with the HTML and examples
    - Build-Depend on python-epydoc (>= 3.0~beta1)
  * Work around minor upstream build bug by using relative path for srcdir
    (this can be reverted for the next upstream release if desired)

  [ Loic Minier ]
  * Wrap build-deps and deps.
  * Add ${misc:Depends}.
  * Add install-clean to .PHONY.
  * Cleanups.
  * Build-dep on autotools-dev for the config.guess and .sub automatic update.
  * Use XS-Python-Version instead of debian/pyversions.
  * Use classical CFLAGS.
  * Add watch file.
  * Add myself to Uploaders.

 -- Loic Minier <lool@dooz.org>  Wed, 01 Aug 2007 23:45:07 +0200

dbus-python (0.82.1-2) unstable; urgency=low

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 11 Jul 2007 22:38:49 +0200

dbus-python (0.82.0-1) unstable; urgency=low

  * New upstream release.

 -- Simon McVittie <smcv@ianadd.pseudorandom.co.uk>  Tue, 19 Jun 2007 18:08:20 +0100

dbus-python (0.81.1-1) unstable; urgency=low

  * New upstream release.
    - Fixes deadlock in remove_signal_receiver() when following name-owner
      changes (Closes: #426412)
  * Package examples, including those referenced by the tutorial
    (Closes: #416714, #368286)
  * Include the Academic Free License version 2.1, not 2.0, in
    debian/copyright, since that's what the dual license includes.
    Closes: #408372 - the duplicated lines in the GPL header also mentioned
    in that bug have already been fixed upstream.
  * python-defaults now includes 2.5 as a supported version, so this upload
    also Closes: #409754.

 -- Simon McVittie <smcv@ianadd.pseudorandom.co.uk>  Mon, 04 Jun 2007 14:27:22 +0100

dbus-python (0.81.0-1) unstable; urgency=low

  * New upstream release 0.81.0, the 'series of tubes' release.

 -- Simon McVittie <smcv@ianadd.pseudorandom.co.uk>  Wed, 09 May 2007 10:18:25 +0100

dbus-python (0.80.2-2) unstable; urgency=low

  * Upload to unstable
  * Merge experimental branch
  * Add Conflicts with gnome-osd (<< 0.12.0) and gajim (<< 0.11.1) which don't
    work correctly with this version

 -- Sjoerd Simons <sjoerd@debian.org>  Mon, 09 Apr 2007 22:48:32 +0200

dbus-python (0.80.2-1) experimental; urgency=low

  * New upstream release, fixing numerous memory and reference leaks.
  * Update debian/copyright (some files are now more permissively licensed)
    and also add the actual copyright statements to that file

 -- Simon McVittie <smcv@ianadd.pseudorandom.co.uk>  Tue, 13 Feb 2007 17:35:12 +0000

dbus-python (0.80.1-1) experimental; urgency=low

  [ Simon McVittie ]
  * New upstream release
    - build system is now autotools
    - install a header file for external mainloops (not bothering with a
      separate -dev package since it's so small)
    - debian/control, debian/rules: build HTML documentation with
      python-docutils
  * Convert debian/rules to do a series of autotools builds, one per version
    (based on debian/rules from pygobject)
  * Drop dependency on libxml2 (no longer needed upstream)
  * Recommend python-gobject (or python-gtk < 2.10 for those with the
    pre-split version)

  [ Sebastian Dröge ]
  * debian/control:
    + Update to use my debian.org mail address

 -- Simon McVittie <smcv@ianadd.pseudorandom.co.uk>  Mon, 22 Jan 2007 16:59:58 +0000


