=== debian/control ===
Source: dbus-python
Section: devel
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders: Sjoerd Simons <sjoerd@debian.org>,
           Sebastian Dröge <slomo@debian.org>,
           Simon McVittie <smcv@debian.org>,
           Loic Minier <lool@dooz.org>
Build-Depends: autoconf,
               automake,
               debhelper (>= 9),
               dh-autoreconf,
               python-all-dbg (>= 2.6.6-3~),
               python-all-dev (>= 2.6.6-3~),
               libdbus-1-dev (>= 1.4),
               libdbus-glib-1-dev (>= 0.71),
               xmlto
Build-Depends-Indep: python-docutils,
                     python-epydoc (>= 3.0~beta1)
Standards-Version: 3.9.2
X-Python-Version: >= 2.4
Homepage: http://www.freedesktop.org/wiki/Software/DBusBindings#Python
Vcs-Git: git://anonscm.debian.org/git/pkg-utopia/dbus-python.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-utopia/dbus-python.git

Package: python-dbus
Section: python
Architecture: any
Depends: ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: python-gi | python-gobject-2 | python-qt4-dbus
Suggests: python-dbus-doc, python-dbus-dbg
Replaces: python2.4-dbus
Conflicts: python2.4-dbus
Breaks: gnome-osd (<< 0.12.0),
        gajim (<< 0.11.1),
        python-qt4-dbus (<< 4.8.3-3)
Provides: ${python:Provides}
Description: simple interprocess messaging system (Python interface)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package provides a Python interface to D-Bus.
 .
 See the dbus description for more information about D-Bus in general.

Package: python-dbus-dbg
Section: debug
Priority: extra
Architecture: any
Depends: python-dbus (= ${binary:Version}), python-dbg, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: Debug build of the D-Bus Python interface
 This package provides a version of the python-dbus package built for
 debugging versions of Python.

Package: python-dbus-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: python-dbus
Description: Documentation for the D-Bus Python interface
 This package provides text and HTML documentation, and examples, for the
 python-dbus package.
