=== debian/rules ===
#!/usr/bin/make -f
# Copyright  2002,2003 Colin Walters <walters@verbum.org>
# Copyright  2003 Daniel Stone <daniels@debian.org>
# Copyright  2006 Sjoerd Simons <sjoerd@debian.org>
# Copyright  2012 Collabora Ltd.

PYVERS := $(shell pyversions --requested --version debian/control)
PYDEFAULTVER := $(shell pyversions --default --version)

FLAVOURS := $(patsubst %,%-dbg,$(PYVERS)) $(PYVERS)

%:
	dh $@ --with python2,autoreconf

override_dh_auto_configure-arch:
	set -e && for x in $(FLAVOURS); do \
		dh_auto_configure \
			--builddirectory=build-$$x \
			-- \
			PYTHON=/usr/bin/python$$x \
			--disable-api-docs \
			--disable-html-docs \
			--libdir=/usr/lib \
			; \
	done
override_dh_auto_configure-indep:
	dh_auto_configure --builddirectory=build-doc

override_dh_auto_build-arch:
	set -e && for x in $(FLAVOURS); do \
		PYTHON=/usr/bin/python$$x \
		dh_auto_build --arch --builddirectory=build-$$x; \
	done
override_dh_auto_build-indep:
	dh_auto_build --indep --builddirectory=build-doc

override_dh_auto_test-arch:
	:
#	set -e && for x in $(PYVERS); do \
#		PYTHON=/usr/bin/python$$x \
#		dh_auto_test --arch --builddirectory=build-$$x; \
#	done
override_dh_auto_test-indep:
	:

override_dh_auto_install-arch:
	set -e && for x in $(PYVERS); do \
		PYTHON=/usr/bin/python$$x \
		dh_auto_install \
			--arch \
			--builddirectory=build-$$x \
			--destdir=debian/tmp \
			; \
		PYTHON=/usr/bin/python$$x-dbg \
		dh_auto_install \
			--arch \
			--builddirectory=build-$$x-dbg \
			--destdir=debian/tmp-dbg \
			; \
		install debian/tmp-dbg/usr/lib/python$$x/dist-packages/_dbus_bindings.so \
			debian/tmp/usr/lib/python$$x/dist-packages/_dbus_bindings_d.so; \
		install debian/tmp-dbg/usr/lib/python$$x/dist-packages/_dbus_glib_bindings.so \
			debian/tmp/usr/lib/python$$x/dist-packages/_dbus_glib_bindings_d.so; \
		rm -rf debian/tmp-dbg; \
	done
# do not install any docs, we copy those from the builddir
override_dh_auto_install-indep:
	:

override_dh_install:
	rm -fr debian/tmp/usr/share/doc/dbus-python
	find debian/tmp -name '*.py[co]' -print0 | xargs -0 rm -f
	find debian/tmp -name '*.la' -print0 | xargs -0 rm -f
	dh_install

override_dh_installdocs-arch:
	dh_installdocs --link-doc=python-dbus -ppython-dbus-dbg
	dh_installdocs --remaining-packages

override_dh_auto_clean:
	dh_auto_clean
	rm -Rf build-* install-2* install-3*
	find . -name '*.py[co]' -print0 | xargs -0 rm -f

override_dh_strip:
	dh_strip --dbg-package=python-dbus-dbg
