## dbus-python 1.0.0

=== debian/changelog ===
dbus-python (1.0.0-1ubuntu1) precise; urgency=low

  * Correct package name for python3-pyqt4-dbus in python3-dbus recommends

 -- Scott Kitterman <scott@kitterman.com>  Fri, 27 Jan 2012 10:46:02 -0500

dbus-python (1.0.0-1) UNRELEASED; urgency=low

  * New upstream version 1.0.0
    - increase Python requirement to 2.6
    - build for Python 3 too
    - split python-dbus-dev into a separate package to be shared between
      versions
    - make python-dbus depend on python-dbus-dev for now, to preserve
      historical functionality (but packages which use it, like PyQt, should
      switch to depending on it explicitly)

 -- Simon McVittie <smcv@debian.org>  Tue, 24 Jan 2012 19:07:26 +0000
