=== debian/control ===
Source: dbus-python
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders: Sjoerd Simons <sjoerd@debian.org>,
           Sebastian Dröge <slomo@debian.org>,
           Simon McVittie <smcv@debian.org>,
           Loic Minier <lool@dooz.org>
Build-Depends: autoconf,
               automake,
               debhelper (>= 9),
               dh-autoreconf,
               python-all-dbg (>= 2.6.6-3~),
               python-all-dev (>= 2.6.6-3~),
               python3-all-dbg,
               python3-all-dev,
               libdbus-1-dev (>= 1.4),
               libdbus-glib-1-dev (>= 0.71),
               xmlto
Build-Depends-Indep: python-docutils,
                     python-epydoc (>= 3.0~beta1)
Standards-Version: 3.9.2
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Homepage: http://www.freedesktop.org/wiki/Software/DBusBindings#Python
Vcs-Git: git://anonscm.debian.org/git/pkg-utopia/dbus-python.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-utopia/dbus-python.git

Package: python-dbus
Section: python
Architecture: any
# Depends on python-dbus-dev for backwards compatibility, until packages
# are fixed to depend on that directly
Depends: ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
         python-dbus-dev
Recommends: python-gi | python-gobject-2 | python-qt4-dbus
Suggests: python-dbus-doc, python-dbus-dbg
Replaces: python2.4-dbus
Conflicts: python2.4-dbus
Breaks: gnome-osd (<< 0.12.0),
        gajim (<< 0.11.1),
        python-qt4-dbus (<< 4.8.3-3)
Provides: ${python:Provides}
Description: simple interprocess messaging system (Python interface)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package provides a Python interface to D-Bus.
 .
 See the dbus description for more information about D-Bus in general.

Package: python3-dbus
Section: python
Architecture: any
# Does not have Depends: python-dbus-dev because as a new package, it cannot
# have backwards compatibility concerns
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: python3-gi | python3-pyqt4-dbus
Suggests: python-dbus-doc, python3-dbus-dbg
Provides: ${python3:Provides}
Description: simple interprocess messaging system (Python 3 interface)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package provides a Python 3 interface to D-Bus.
 .
 See the dbus description for more information about D-Bus in general.

Package: python-dbus-dev
Section: python
Priority: optional
Architecture: all
Depends: ${misc:Depends}
Breaks: python-dbus (<< 1.0),
        python-dbus-common (<< 1.0)
Replaces: python-dbus (<< 1.0),
          python-dbus-common (<< 1.0)
Description: main loop integration development files for python-dbus
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package provides development files required to compile main-loop
 integration modules for python-dbus, such as dbus.mainloop.qt provided
 by PyQt. It is Python-version-independent: you must also depend on either
 python-dbus or python3-dbus, if required.

Package: python-dbus-dbg
Section: debug
Priority: extra
Architecture: any
Depends: python-dbg,
         python-dbus (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends}
Description: debug build of the D-Bus Python 2 interface
 This package provides a version of the python-dbus package built for
 debugging versions of Python 2, and debug symbols for python-dbus.

Package: python3-dbus-dbg
Section: debug
Priority: extra
Architecture: any
Depends: python3-dbg,
         python3-dbus (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends}
Description: debug build of the D-Bus Python 3 interface
 This package provides a version of the python3-dbus package built for
 debugging versions of Python 3, and debug symbols for python3-dbus.

Package: python-dbus-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: python-dbus | python3-dbus
Description: Documentation for the D-Bus Python interface
 This package provides text and HTML documentation, and examples, for the
 python-dbus and python3-dbus packages.
