=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,10 @@
 # Copyright  2012 Collabora Ltd.
 
 PYVERS := $(shell pyversions --requested --version debian/control)
+PY3VERS := $(shell py3versions --requested --version debian/control)
 PYDEFAULTVER := $(shell pyversions --default --version)
 
-FLAVOURS := $(patsubst %,%-dbg,$(PYVERS)) $(PYVERS)
+FLAVOURS := $(patsubst %,%-dbg,$(PYVERS) $(PY3VERS)) $(PYVERS) $(PY3VERS)
 
 %:
 	dh $@ --with python2,autoreconf
@@ -36,7 +37,7 @@
 
 override_dh_auto_test-arch:
 	:
-#	set -e && for x in $(PYVERS); do \
+#	set -e && for x in $(PYVERS) $(PY3VERS); do \
 #		PYTHON=/usr/bin/python$$x \
 #		dh_auto_test --arch --builddirectory=build-$$x; \
 #	done
@@ -61,8 +62,32 @@
 			debian/tmp/usr/lib/python$$x/dist-packages/_dbus_bindings_d.so; \
 		install debian/tmp-dbg/usr/lib/python$$x/dist-packages/_dbus_glib_bindings.so \
 			debian/tmp/usr/lib/python$$x/dist-packages/_dbus_glib_bindings_d.so; \
-		rm -rf debian/tmp-dbg; \
 	done
+	set -e && for x in $(PY3VERS); do \
+		PYTHON=/usr/bin/python$$x \
+		dh_auto_install \
+			--arch \
+			--builddirectory=build-$$x \
+			--destdir=debian/tmp \
+			; \
+		so=`/usr/bin/python$$x -c "print(__import__('sysconfig').get_config_var('SO'))"`; \
+		mv debian/tmp/usr/lib/python3/dist-packages/_dbus_bindings.so \
+			debian/tmp/usr/lib/python3/dist-packages/_dbus_bindings$$so; \
+		mv debian/tmp/usr/lib/python3/dist-packages/_dbus_glib_bindings.so \
+			debian/tmp/usr/lib/python3/dist-packages/_dbus_glib_bindings$$so; \
+		PYTHON=/usr/bin/python$$x-dbg \
+		dh_auto_install \
+			--arch \
+			--builddirectory=build-$$x-dbg \
+			--destdir=debian/tmp-dbg \
+			; \
+		so=`/usr/bin/python$$x-dbg -c "print(__import__('sysconfig').get_config_var('SO'))"`; \
+		mv debian/tmp-dbg/usr/lib/python3/dist-packages/_dbus_bindings.so \
+			debian/tmp-dbg/usr/lib/python3/dist-packages/_dbus_bindings$$so; \
+		mv debian/tmp-dbg/usr/lib/python3/dist-packages/_dbus_glib_bindings.so \
+			debian/tmp-dbg/usr/lib/python3/dist-packages/_dbus_glib_bindings$$so; \
+	done
+
 # do not install any docs, we copy those from the builddir
 override_dh_auto_install-indep:
 	:
@@ -75,12 +100,14 @@
 
 override_dh_installdocs-arch:
 	dh_installdocs --link-doc=python-dbus -ppython-dbus-dbg
+	dh_installdocs --link-doc=python3-dbus -ppython3-dbus-dbg
 	dh_installdocs --remaining-packages
 
 override_dh_auto_clean:
 	dh_auto_clean
-	rm -Rf build-* install-2* install-3*
+	rm -Rf build-* install-2* install-3* debian/tmp-dbg
 	find . -name '*.py[co]' -print0 | xargs -0 rm -f
 
 override_dh_strip:
-	dh_strip --dbg-package=python-dbus-dbg
+	dh_strip --dbg-package=python-dbus-dbg -ppython-dbus -ppython-dbus-dbg
+	dh_strip --dbg-package=python3-dbus-dbg -ppython3-dbus -ppython3-dbus-dbg
