## dbus-python 1.1.1

=== debian/changelog ===
dbus-python (1.1.1-1ubuntu3) raring; urgency=low

  * Use the EXT_SUFFIX config var for the extension suffix.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 02 Apr 2013 13:13:16 +0200

dbus-python (1.1.1-1ubuntu2) raring; urgency=low

  * Rebuild to drop python3.2 provides.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 07 Nov 2012 22:59:55 +0000

dbus-python (1.1.1-1ubuntu1) raring; urgency=low

  * merge lp:~barry/ubuntu/quantal/dbus-python/lp846044
    (LP: #846044)
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 05 Nov 2012 09:12:51 +0100

dbus-python (1.1.1-1build1) raring; urgency=low

  * No change rebuild to pick up python3.3 support

 -- Scott Kitterman <scott@kitterman.com>  Mon, 22 Oct 2012 13:27:17 -0400

dbus-python (1.1.1-1) unstable; urgency=low

  * New upstream version
    - fixes type-signature guessing when an ObjectPath is given (LP: #1008898)
  * Increase dbus build-dependency to the recommended version, 1.6
  * Include /usr/share/dpkg/default.mk for recommended build flags

 -- Simon McVittie <smcv@debian.org>  Mon, 25 Jun 2012 17:35:50 +0100

dbus-python (1.1.0-1) unstable; urgency=low

  * New upstream release
    - dbus.gobject_service is compatible with 0.x again (Closes: #670516)
  * Fix recommendation for a main loop package: the Python 3 Qt main loop
    glue is python3-dbus.mainloop.qt, not python-qt4-dbus
  * Use dh_python3 (Closes: #672189)
  * Switch variable names in debian/rules to be more like the proposed
    Python package style guide
  * Build-depend on pygi so epydoc can introspect dbus.gi_service
  * Merge from experimental to unstable
  * Remove duplicate Priority from -dev
  * Standards-Version: 3.9.3 (no changes)

 -- Simon McVittie <smcv@debian.org>  Wed, 09 May 2012 16:37:43 +0100

dbus-python (1.0.0-1) experimental; urgency=low

  * New upstream version 1.0.0
    - increase Python requirement to 2.6
    - build for Python 3 too
    - split python-dbus-dev into a separate package to be shared between
      versions
    - make python-dbus depend on python-dbus-dev for now, to preserve
      historical functionality (but packages which use it, like PyQt, should
      switch to depending on it explicitly)

 -- Simon McVittie <smcv@debian.org>  Tue, 24 Jan 2012 21:02:34 +0000
