=== debian/control ===
--- 
+++ 
@@ -11,16 +11,19 @@
                automake,
                debhelper (>= 9),
                dh-autoreconf,
+               dpkg-dev (>= 1.16.1),
                python-all-dbg (>= 2.6.6-3~),
                python-all-dev (>= 2.6.6-3~),
+               python-gi,
                python3-all-dbg,
                python3-all-dev,
-               libdbus-1-dev (>= 1.4),
+               python3-gi,
+               libdbus-1-dev (>= 1.6),
                libdbus-glib-1-dev (>= 0.71),
                xmlto
 Build-Depends-Indep: python-docutils,
                      python-epydoc (>= 3.0~beta1)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 Homepage: http://www.freedesktop.org/wiki/Software/DBusBindings#Python
@@ -61,7 +64,7 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
-Recommends: python3-gi | python3-pyqt4-dbus
+Recommends: python3-gi | python3-dbus.mainloop.qt
 Suggests: python-dbus-doc, python3-dbus-dbg
 Provides: ${python3:Provides}
 Description: simple interprocess messaging system (Python 3 interface)
@@ -75,7 +78,6 @@
 
 Package: python-dbus-dev
 Section: python
-Priority: optional
 Architecture: all
 Depends: ${misc:Depends}
 Breaks: python-dbus (<< 1.0),
