=== debian/rules ===
--- 
+++ 
@@ -4,14 +4,16 @@
 # Copyright  2006 Sjoerd Simons <sjoerd@debian.org>
 # Copyright  2012 Collabora Ltd.
 
-PYVERS := $(shell pyversions --requested --version debian/control)
-PY3VERS := $(shell py3versions --requested --version debian/control)
+include /usr/share/dpkg/default.mk
+
+PYTHON2 := $(shell pyversions --requested --version debian/control)
+PYTHON3 := $(shell py3versions --requested --version debian/control)
 PYDEFAULTVER := $(shell pyversions --default --version)
 
-FLAVOURS := $(patsubst %,%-dbg,$(PYVERS) $(PY3VERS)) $(PYVERS) $(PY3VERS)
+FLAVOURS := $(patsubst %,%-dbg,$(PYTHON2) $(PYTHON3)) $(PYTHON2) $(PYTHON3)
 
 %:
-	dh $@ --with python2,autoreconf
+	dh $@ --with python2,python3,autoreconf
 
 override_dh_auto_configure-arch:
 	set -e && for x in $(FLAVOURS); do \
@@ -37,7 +39,7 @@
 
 override_dh_auto_test-arch:
 	:
-#	set -e && for x in $(PYVERS) $(PY3VERS); do \
+#	set -e && for x in $(PYTHON2) $(PYTHON3); do \
 #		PYTHON=/usr/bin/python$$x \
 #		dh_auto_test --arch --builddirectory=build-$$x; \
 #	done
@@ -45,7 +47,7 @@
 	:
 
 override_dh_auto_install-arch:
-	set -e && for x in $(PYVERS); do \
+	set -e && for x in $(PYTHON2); do \
 		PYTHON=/usr/bin/python$$x \
 		dh_auto_install \
 			--arch \
@@ -63,14 +65,14 @@
 		install debian/tmp-dbg/usr/lib/python$$x/dist-packages/_dbus_glib_bindings.so \
 			debian/tmp/usr/lib/python$$x/dist-packages/_dbus_glib_bindings_d.so; \
 	done
-	set -e && for x in $(PY3VERS); do \
+	set -e && for x in $(PYTHON3); do \
 		PYTHON=/usr/bin/python$$x \
 		dh_auto_install \
 			--arch \
 			--builddirectory=build-$$x \
 			--destdir=debian/tmp \
 			; \
-		so=`/usr/bin/python$$x -c "print(__import__('sysconfig').get_config_var('SO'))"`; \
+		so=`/usr/bin/python$$x -c "print(__import__('sysconfig').get_config_var('EXT_SUFFIX'))"`; \
 		mv debian/tmp/usr/lib/python3/dist-packages/_dbus_bindings.so \
 			debian/tmp/usr/lib/python3/dist-packages/_dbus_bindings$$so; \
 		mv debian/tmp/usr/lib/python3/dist-packages/_dbus_glib_bindings.so \
@@ -81,7 +83,7 @@
 			--builddirectory=build-$$x-dbg \
 			--destdir=debian/tmp-dbg \
 			; \
-		so=`/usr/bin/python$$x-dbg -c "print(__import__('sysconfig').get_config_var('SO'))"`; \
+		so=`/usr/bin/python$$x-dbg -c "print(__import__('sysconfig').get_config_var('EXT_SUFFIX'))"`; \
 		mv debian/tmp-dbg/usr/lib/python3/dist-packages/_dbus_bindings.so \
 			debian/tmp-dbg/usr/lib/python3/dist-packages/_dbus_bindings$$so; \
 		mv debian/tmp-dbg/usr/lib/python3/dist-packages/_dbus_glib_bindings.so \
