## dbus-python 1.2.0

=== debian/changelog ===
dbus-python (1.2.0-3) unstable; urgency=medium

  * Update Vcs-Browser to use https and cgit
  * python-dbus: stop depending on python-dbus-dev (Closes: #673779)
  * Standards-Version: 3.9.6 (no changes required)
  * Install arch-independent documentation and development files
    with "make install-data", fixing FTBFS in arch-all-only builds
  * Build-depend on dh-python
    - transcode debian/rules to UTF-8 to support this
  * d/control: mention dbus.mainloop.pyqt5 instead of dbus.mainloop.qt.
    Thanks to Dmitry Shachnev. (Part of #802659)
  * d/control: stop mentioning python-gobject-2 as an alternative.
    to python-gi. Thanks to Dmitry Shachnev. (Part of #802659)

 -- Simon McVittie <smcv@debian.org>  Wed, 20 Jan 2016 09:39:43 +0000

dbus-python (1.2.0-2) unstable; urgency=low

  * Canonicalize Vcs-Git
  * Standards-Version: 3.9.4 (no further changes)
  * Automake 1.12.6 changed the default installation directory.
    Force pythondir/pyexecdir instead of taking the default, fixing FTBFS
    (Closes: #710926)

 -- Simon McVittie <smcv@debian.org>  Mon, 03 Jun 2013 18:28:49 +0100

dbus-python (1.2.0-1) unstable; urgency=low

  * Check for sysconfig EXT_SUFFIX (for Python 3.3), falling back to SO if
    not found (for Python 3.2) (Closes: #707139)
  * New upstream release
    - Unicode in exceptions works better (LP: #846044)

 -- Simon McVittie <smcv@debian.org>  Wed, 08 May 2013 08:58:16 +0100
