=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: dbus-python
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Sjoerd Simons <sjoerd@debian.org>,
            Sebastian Dröge <slomo@debian.org>,
            Simon McVittie <smcv@debian.org>,
@@ -11,6 +10,7 @@
                automake,
                debhelper (>= 9),
                dh-autoreconf,
+               dh-python,
                dpkg-dev (>= 1.16.1),
                python-all-dbg (>= 2.6.6-3~),
                python-all-dev (>= 2.6.6-3~),
@@ -23,23 +23,20 @@
                xmlto
 Build-Depends-Indep: python-docutils,
                      python-epydoc (>= 3.0~beta1)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 Homepage: http://www.freedesktop.org/wiki/Software/DBusBindings#Python
-Vcs-Git: git://anonscm.debian.org/git/pkg-utopia/dbus-python.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-utopia/dbus-python.git
+Vcs-Git: git://anonscm.debian.org/pkg-utopia/dbus-python.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-utopia/dbus-python.git
 
 Package: python-dbus
 Section: python
 Architecture: any
-# Depends on python-dbus-dev for backwards compatibility, until packages
-# are fixed to depend on that directly
 Depends: ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends},
-         python-dbus-dev
-Recommends: python-gi | python-gobject-2 | python-qt4-dbus
+Recommends: python-gi | python-qt4-dbus
 Suggests: python-dbus-doc, python-dbus-dbg
 Replaces: python2.4-dbus
 Conflicts: python2.4-dbus
@@ -59,8 +56,6 @@
 Package: python3-dbus
 Section: python
 Architecture: any
-# Does not have Depends: python-dbus-dev because as a new package, it cannot
-# have backwards compatibility concerns
 Depends: ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
@@ -90,9 +85,10 @@
  terms of complexity.
  .
  This package provides development files required to compile main-loop
- integration modules for python-dbus, such as dbus.mainloop.qt provided
- by PyQt. It is Python-version-independent: you must also depend on either
- python-dbus or python3-dbus, if required.
+ integration modules for python-dbus, such as dbus.mainloop.pyqt5 provided
+ by PyQt. It is Python-version-independent: packages that build-depend
+ on python-dbus-dev should also build-depend on python-dbus,
+ python3-dbus, python-dbus-dbg and/or python3-dbus-dbg.
 
 Package: python-dbus-dbg
 Section: debug
