=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #!/usr/bin/make -f
-# Copyright  2002,2003 Colin Walters <walters@verbum.org>
-# Copyright  2003 Daniel Stone <daniels@debian.org>
-# Copyright  2006 Sjoerd Simons <sjoerd@debian.org>
-# Copyright  2012 Collabora Ltd.
+# Copyright © 2002,2003 Colin Walters <walters@verbum.org>
+# Copyright © 2003 Daniel Stone <daniels@debian.org>
+# Copyright © 2006 Sjoerd Simons <sjoerd@debian.org>
+# Copyright © 2012 Collabora Ltd.
 
 include /usr/share/dpkg/default.mk
 
@@ -27,7 +27,12 @@
 			; \
 	done
 override_dh_auto_configure-indep:
-	dh_auto_configure --builddirectory=build-doc
+	dh_auto_configure \
+		--builddirectory=build-indep \
+		-- \
+		--libdir=/usr/lib \
+		--docdir=/usr/share/doc/python-dbus-doc \
+		${NULL}
 
 override_dh_auto_build-arch:
 	set -e && for x in $(FLAVOURS); do \
@@ -35,7 +40,7 @@
 		dh_auto_build --arch --builddirectory=build-$$x; \
 	done
 override_dh_auto_build-indep:
-	dh_auto_build --indep --builddirectory=build-doc
+	dh_auto_build --indep --builddirectory=build-indep
 
 override_dh_auto_test-arch:
 	:
@@ -53,12 +58,18 @@
 			--arch \
 			--builddirectory=build-$$x \
 			--destdir=debian/tmp \
+			-- \
+			pyexecdir='$${pythondir}' \
+			pythondir='$${libdir}'/python$$x/dist-packages \
 			; \
 		PYTHON=/usr/bin/python$$x-dbg \
 		dh_auto_install \
 			--arch \
 			--builddirectory=build-$$x-dbg \
 			--destdir=debian/tmp-dbg \
+			-- \
+			pyexecdir='$${pythondir}' \
+			pythondir='$${libdir}'/python$$x/dist-packages \
 			; \
 		install debian/tmp-dbg/usr/lib/python$$x/dist-packages/_dbus_bindings.so \
 			debian/tmp/usr/lib/python$$x/dist-packages/_dbus_bindings_d.so; \
@@ -71,8 +82,11 @@
 			--arch \
 			--builddirectory=build-$$x \
 			--destdir=debian/tmp \
+			-- \
+			pyexecdir='$${pythondir}' \
+			pythondir='$${libdir}/python3/dist-packages' \
 			; \
-		so=`/usr/bin/python$$x -c "print(__import__('sysconfig').get_config_var('EXT_SUFFIX'))"`; \
+		so=`/usr/bin/python$$x -c "import sysconfig; print(sysconfig.get_config_var('EXT_SUFFIX') or sysconfig.get_config_var('SO'))"`; \
 		mv debian/tmp/usr/lib/python3/dist-packages/_dbus_bindings.so \
 			debian/tmp/usr/lib/python3/dist-packages/_dbus_bindings$$so; \
 		mv debian/tmp/usr/lib/python3/dist-packages/_dbus_glib_bindings.so \
@@ -82,8 +96,11 @@
 			--arch \
 			--builddirectory=build-$$x-dbg \
 			--destdir=debian/tmp-dbg \
+			-- \
+			pyexecdir='$${pythondir}' \
+			pythondir='$${libdir}/python3/dist-packages' \
 			; \
-		so=`/usr/bin/python$$x-dbg -c "print(__import__('sysconfig').get_config_var('EXT_SUFFIX'))"`; \
+		so=`/usr/bin/python$$x-dbg -c "import sysconfig; print(sysconfig.get_config_var('EXT_SUFFIX') or sysconfig.get_config_var('SO'))"`; \
 		mv debian/tmp-dbg/usr/lib/python3/dist-packages/_dbus_bindings.so \
 			debian/tmp-dbg/usr/lib/python3/dist-packages/_dbus_bindings$$so; \
 		mv debian/tmp-dbg/usr/lib/python3/dist-packages/_dbus_glib_bindings.so \
@@ -92,7 +109,7 @@
 
 # do not install any docs, we copy those from the builddir
 override_dh_auto_install-indep:
-	:
+	make -C build-indep install-data DESTDIR=$(CURDIR)/debian/tmp
 
 override_dh_install:
 	rm -fr debian/tmp/usr/share/doc/dbus-python
