=== debian/watch ===
version=3
http://dbus.freedesktop.org/releases/dbus-python/dbus-python-(.*)\.tar\.gz
